# $Revision: 1.9 $, $Date: 2004/12/25 16:00:08 $
Summary:	Python bindings for GtkGLExt library
Summary(pl):	Wizania Pythona do biblioteki GtkGLExt
Name:		python-pygtkglext
Version:	1.0.1
Release:	4
License:	LGPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/gtkglext/pygtkglext-%{version}.tar.bz2
# Source0-md5:	b34d61b427e5ade8791b6e4441e85793
URL:		http://gtkglext.sourceforge.net/
BuildRequires:	automake
BuildRequires:	gtkglext-devel >= 1.0.0
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-pygtk-devel >= 2.0.0
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-pygtk-gtk >= 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
PyGtkGLExt is Python language bindings for GtkGLExt, OpenGL Extension
to GTK.

%description -l pl
PyGtkGLExt to wizania jzyka Python do GtkGLExt - rozszerzenia OpenGL
dla GTK.

%package devel
Summary:	Development files for Python bindings for GtkGLExt
Summary(pl):	Pliki programistyczne wiza Pythona do GtkGLExt
Group:		Development/Languages/Python
Requires:	%{name} = %{version}
Requires:	python-pygtk-devel >= 2.0.0

%description devel
Development files for Python bindings for GtkGLExt.

%description devel -l pl
Pliki programistyczne wiza Pythona do GtkGLExt.

%prep
%setup -q -n pygtkglext-%{version}

%build
cp -f /usr/share/automake/config.* .
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0/gtk/g[dt]kgl/*.{la,py}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%dir %{py_sitedir}/gtk-2.0/gtk/g[dt]kgl
%dir %{py_scriptdir}/site-packages/gtk-2.0/gtk/g[dt]kgl
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtk/g[dt]kgl/*.so
%{py_scriptdir}/site-packages/gtk-2.0/gtk/g[dt]kgl/*.py[co]
%{_datadir}/pygtk/2.0/defs/*

%files devel
%defattr(644,root,root,755)
%{_datadir}/pygtk/2.0/defs/*.defs
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pygtkglext.spec,v $
Revision 1.9  2004/12/25 16:00:08  saq
- release 4 for rebuild with python 2.4

Revision 1.8  2004/11/14 22:26:03  havner
- fixed %%files
- rel 3

Revision 1.7  2004/11/14 21:47:48  havner
- rel up for rebuild with python-pygtk

Revision 1.6  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.5  2004/01/20 23:15:54  qboosh
- refresh config.sub for amd64

Revision 1.4  2003/11/21 03:25:42  wrobell
- ver. 1.0.1

Revision 1.3  2003/10/07 22:29:45  qboosh
- 1.0.0

Revision 1.2  2003/09/02 22:37:11  qboosh
- 0.99.1

Revision 1.1  2003/08/09 18:48:08  qboosh
- new
